#!/bin/bash

#SBATCH --account=simprod # simdevel
#SBATCH --partition=TS
#SBATCH --time=10-0
#SBATCH --ntasks=1
#SBATCH --nodes=1
#SBATAC --cpus-per-task=4

# Umleiten der Ausgabedateien
#SBATCH --output=/nfs/home_simtech/mohammadi/logfiles/output/slurm-o%j.out
#SBATCH --error=/nfs/home_simtech/mohammadi/logfiles/error/slurm-e%j.out

#SBATCH --mail-type=END,FAIL
#SBATCH --mail-user=farid.mohammadi@iws.uni-stuttgart.de

NODENAME=`hostname`
STARTTIME=`date`
now=$(date +"%m-%d-%Y"_"%H-%M")
echo " Script started at $STARTTIME"
echo " on host $NODENAME"
echo ""

COMMAND="python3.7 emcee_CO2.py"

# Execute the command. ----------------------------------------------------------------------------

echo 'Start CO2Benchmark'

$COMMAND

echo 'End CO2Benchmark'

# End of simulation ----------------------------------------------------------------------------

# Move the results to folder Results
mkdir Results_$now
mv ./*.zip ./Results_$now
mv ./*.npy ./Results_$now
mv ./*.csv ./Results_$now
mv ./*.svg ./Results_$now

ENDTIME=`date`
echo ""
echo " Script ended at $ENDTIME"
