#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Created on Fri Jul 19 16:48:59 2019

@author: farid
"""
import pandas as pd
import numpy as np
import os

def read_CO2(FileNames):
    
    df = pd.read_csv(FileNames[0])

    return df.to_numpy().T


# Run model
interface = "interface_MAP.xml"
NewCommand = "model_CO2.py -f %s"%interface
Process = os.system('./../%s' %NewCommand)

# Read the outputs
FileNames=['PressureOutput.csv']
outputs = read_CO2(FileNames)


# Compute synthethic data by adding measurement noise to 
# simulation output generated by theta_MAP
theta_MAP = (1.43e-13, 0.259, 1.09e-12)
tdata, output = outputs[0],outputs[1]

# measuredPressure = np.interp(tdata, timeVector, output)
noise = np.std(output) * 0.4
measuredPressure = np.add(output, np.random.normal(0, 1, output.shape[0]) * noise)

# Save measured data
df = pd.DataFrame(np.vstack((tdata,measuredPressure)).T, columns=['Time [day]', 'Pressure [bar]'])
df.to_csv('MeasuredPressure.csv', index=False)

# Visualization
import matplotlib.pyplot as plt
plt.plot(tdata, output, marker='x')
#plt.scatter(timeVector, output, marker='o', color='k')
plt.scatter(tdata, measuredPressure, marker='s', color='red')
